Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PropertyManager

    java.lang.Object
      |
      +--oracle.jbo.common.PropertyManager

public class PropertyManager
extends java.lang.Object

Internal: Applications should not use this class.

This class is used at framework initialization time to choose values for the various properties that can be set in the system.

Since:
  JDeveloper 3.1

Field Summary
`static java.lang.String` | `BC4J_PROPERTIES_FILE`
`static java.lang.String` | `BC4J_PROPERTIES_RESOURCE`
`static java.lang.String` | `DIAGNOSTIC_PROPERTIES_RESOURCE`
`static java.lang.String` | `JBOSERVER_PROPERTIES_RESOURCE` The pathname of the server properties file used to load various runtime properties.

Constructor Summary
`PropertyManager()`

Method Summary
`static void` | `loadFromAppletTags(java.util.Hashtable env, java.applet.Applet applet)` Given an applet and an environment, look for any known properties within the applet's param tags, and load them into the environment, replacing existing environment values if necessary.
`static java.util.Hashtable` | `loadProperties(java.util.Hashtable clientenv)` Load a BC4J system properties from all known sources The sources are:
`static void` | `loadProperty(PropertyMetadata propdesc, java.util.Hashtable sessionenv, java.util.Hashtable clientenv, java.applet.Applet applet, java.util.Properties systemProperties, java.util.Properties bc4jFile, java.util.Properties bc4jResource, java.util.Properties jboserverResource, java.util.Properties diagnosticResource)` load an invididual property, using the published sources in order, when found, put it into the correct published place.
`static void` | `main(java.lang.String[] args)` This entrypoint is retained as a user convenience: if invoked it lists all the known BC4J system properties, their default values, and their ownership.
`static void` | `setProperty(java.lang.Object owner, PropertyMetadata meta, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JBOSERVER_PROPERTIES_RESOURCE

    public static final java.lang.String JBOSERVER_PROPERTIES_RESOURCE

  The pathname of the server properties file used to load various runtime properties.

### DIAGNOSTIC_PROPERTIES_RESOURCE

    public static final java.lang.String DIAGNOSTIC_PROPERTIES_RESOURCE

### BC4J_PROPERTIES_FILE

    public static final java.lang.String BC4J_PROPERTIES_FILE

### BC4J_PROPERTIES_RESOURCE

    public static final java.lang.String BC4J_PROPERTIES_RESOURCE

Constructor Detail

### PropertyManager

    public PropertyManager()

Method Detail

### main

    public static void main(java.lang.String[] args)

  This entrypoint is retained as a user convenience: if invoked it lists all the known BC4J system properties, their default values, and their ownership.
  Since:
    3.1

### setProperty

    public static void setProperty(java.lang.Object owner,
                                   PropertyMetadata meta,
                                   java.lang.Object value)

### loadProperties

    public static java.util.Hashtable loadProperties(java.util.Hashtable clientenv)

  Load a BC4J system properties from all known sources The sources are:

  1. Marshalled client environment

  2. Applet tags

  3. -D flags (appear in System.properties)

  4. bc4j.properties file

  5. oracle.jbo.BC4J.properties resource

  6. oracle.jbo.commom.jboserver.properties resource

  7. oracle.jbo.common.Diagnostic.properties resource

  8. System defined default returns a Hashtable of values destines for the session environment

### loadProperty

    public static void loadProperty(PropertyMetadata propdesc,
                                    java.util.Hashtable sessionenv,
                                    java.util.Hashtable clientenv,
                                    java.applet.Applet applet,
                                    java.util.Properties systemProperties,
                                    java.util.Properties bc4jFile,
                                    java.util.Properties bc4jResource,
                                    java.util.Properties jboserverResource,
                                    java.util.Properties diagnosticResource)

  load an invididual property, using the published sources in order, when found, put it into the correct published place. Also, *remove* the property from the transient Hashtables, so that we can report unused properties at the end.

### loadFromAppletTags

    public static void loadFromAppletTags(java.util.Hashtable env,
                                          java.applet.Applet applet)

  Given an applet and an environment, look for any known properties within the applet's param tags, and load them into the environment, replacing existing environment values if necessary. Notice that we expect this routine to be called by Client code *before* the client environment is marshalled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD